// site-error.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

class SiteError extends Error {

  constructor (statusCode, message) {
    super(message);
    this.name = 'SiteError';
    if (!this.code) {
      this.code = statusCode;
    }
    this.statusCode = statusCode;
  }
}

module.exports.SiteError = SiteError;